### Method

# Camel URL new_with_base

#### Declaration [src]

    CamelURL*
    camel_url_new_with_base (
      CamelURL* base,
      const gchar* url_string
    )

#### Description [src]

Parses `url_string` relative to `base`.

#### Parameters

`url_string`

  Type: `const gchar*`

  The URL.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelURL`

A parsed `CamelURL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.